@charset "utf-8";

body,
.mainContents {
    height: max-content;
}

.mainContents {
    width: 70%;
    font-family: "Sen", sans-serif;
    font-optical-sizing: auto;
    font-weight: weight;
    font-style: normal;
}

.aboutContent {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 20px;
    flex-direction: column;
    align-items: center;
    color: #ffffff;
    line-height: 1.6em;
}

.aboutName {
    font-size: 24px;
    margin: 20px auto;
}

.aboutContent img {
    background-color: #ffffff;
    width: 20%;
    min-width: 150px;
    object-fit: contain;
    border-radius: 500px;
    padding: 20px;
}

.aboutText p {
    padding: 7px 0;
}

.aboutJa {
    padding: 20px 0 30px 0;
}

.aboutEn {
    position: relative;
    padding: 30px 0 20px 0;

}

.aboutEn::after {
    position: absolute;
    border-top: solid 3px #bdbdbd;
    left: 50%;
    top: 0;
    transform: translateX(-50%);
    content: "";
    display: inline-block;
    width: 50%;
}



.background {
    width: 30%;
    position: fixed;
    top: 0;
    right: 0;
}


/* pagetop → */
.topBtn {
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 100;
    font-size: 16px;
    opacity: 0;
    transform: translateY(20px);
    pointer-events: none;
    transition: opacity 0.4s ease, transform 0.4s ease;
}

.topBtn::before {
    content: "▶";
    display: inline-block;
    transform: rotate(-90deg);
}

.topBtn.active {
    opacity: 1;
    transform: translateY(0px);
    pointer-events: auto;
}

/* pagetop ← */
@media (max-width: 1024px) {
    .background {
        width: 100%;
        height: 100%;
    }
}

@media (max-width: 760px) {
    .mainContents {
        width: 100%;
    }
}